petsc-3.4.2 2013-07-02

# KSPSolveTranspose

Solves the transpose of a linear system.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSolveTranspose(KSP ksp,Vec b,Vec x)

Collective on KSP

### Input Parameter

| ksp | - iterative context obtained from KSPCreate()
| b | - right hand side vector
| x | - solution vector

Notes: For complex numbers this solve the non-Hermitian transpose system.

Developer Notes: We need to implement a KSPSolveHermitianTranspose()

### Keywords

KSP, solve, linear system

### See Also

KSPCreate(), KSPSetUp(), KSPDestroy(), KSPSetTolerances(), KSPDefaultConverged(),
KSPSolve()

Level:developer
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex53.c.html